' $JT Just Testing

option explicit

Function OnInit(ByRef initData) ' OnInit is called by DOpus to initialize the script
   
   initData.name = "Just Testing"
   initData.version= "1.0"
   initData.desc = "Adds the $JT command to Directory Opus"
   initData.copyright = "(c) 2014 AussieBoykie"
   initData.default_enable = true
   
   dim cmd : set cmd = initData.AddCommand()
   cmd.name = "$JT" ' This is the name of the command being added
   cmd.method = "Main" ' This is the routine to execute when the $JT command is invoked 
   cmd.desc = initData.desc
   cmd.label = initdata.name
   'cmd.template = "args/M"
   
End Function

Function Main(ByRef scriptCmdData) ' This code is executed when the added command is invoked
   
   ' Define some key variables here
   
   Dim dlg ' DOpus dialog object
   Dim cdf ' DOpus scriptCmdData.func object
   Dim fsu ' DOpus fsutil object
   Dim dbg ' Switch used to control debug tracing
   Dim i, j, n, s, var
   
   ' Initialise key variables
   
   Set dlg = DOpus.Dlg ' DOpus dialog object
   Set fsu = DOpus.fsutil ' DOpus fsutil object
   Set cdf = scriptCmdData.func ' DOpus scriptCmdData.func object
   
   ' *** For testing purposes, use a lister level variable to activate debug trace
   dbg = cdf.command.IsSet("$lst:dbg")
   
   ' *** To unilaterally activate debug trace, uncomment the following statement   
   ' dbg = True
   
   If dbg Then DOpus.output "$JT Starting"
      
   cdf.command.deselect = false
   
   Dim WhatWasReturned, WhatWasPressed, Msg, Title, NewVal
   Msg = "User instructions go here.."
   Title = "Dialog Description"
   NewVal = "Default text"
   WhatWasReturned = DOpus.dlg.getstring(Msg,NewVal,0,"OK|Cancel",Title,0,WhatWasPressed)
   
   If dbg Then DOpus.output "$JT Ending"
   
End Function